Summary: This is an LDAP authentication module for Apache.
Name: auth_ldap
Group: Applications/System
License: Apache Software License
Version: 1.6.1
Release: 1ml
Source: http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.gz
Url: http://www.rudedog.org/auth_ldap/
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, openldap-devel
Obsoletes: mod_auth_ldap
Requires: webserver

%description
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.

%prep
%setup -q

%build
%configure --with-apxs=%{_sbindir}/apxs --with-ldap-sdk=openldap
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 auth_ldap.so $RPM_BUILD_ROOT%{_libdir}/apache/mod_auth_ldap.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/apache/mod_auth_ldap.so
%doc *.html PROBLEMS

%changelog
* Tue Mar 27 2007 Ryoji Kamei <kamei@miraclelinux.com> 1.6.1-1ml
- 1.6.1; fixes CVE-2006-0150, and fix some minor bugs

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.6.0-4
- rebuild in new environment

* Wed Jan 23 2002 Nalin Dahyabhai <nalin@redhat.com> 1.6.0-3
- rebuild in new environment

* Wed Jan  9 2002 Nalin Dahyabhai <nalin@redhat.com> 1.6.0-2
- automated rebuild

* Mon Sep 10 2001 Nalin Dahyabhai <nalin@redhat.com> 1.6.0-1
- update to 1.6.0

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com> 1.4.8-3
- add apache-devel as a BuildPrereq (uses apxs)

* Mon Jun 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- s/Copyright:/License:/

* Tue May 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.8

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.7

* Thu Jan 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- change the package name back to auth_ldap

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.6
- do a "make clean" first
- add "Requires: webserver:

* Fri Nov 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- rename to "mod_auth_ldap"
- update to 1.4.5

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.3

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- add openldap-devel as a build prereq

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.4.2

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against Apache with EAPI (release 2)

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- first build for Red Hat Linux 6.1
